--
-- Copyright (C) 2014 FAUmachine Team <info@faumachine.org>.
--
-- This program is free software. You can redistribute it and/or modify it
-- under the terms of the GNU General Public License, either version 2 of
-- the License, or (at your option) any later version. See COPYING.
--

library expect;
use expect.types.ALL;
use expect.procedures.ALL;
library ieee;
use ieee.std_logic_1164.ALL;

entity frdm_kl46z is
	port(
		gnd : in std_logic;
		vdd : in std_logic;

		j2_1 : inout std_logic;
		j2_2 : inout std_logic;
		j2_3 : inout std_logic;
		j2_4 : inout std_logic;
		j2_5 : inout std_logic;
		j2_6 : inout std_logic;
		j2_7 : inout std_logic;
		j2_8 : inout std_logic;
		j2_9 : inout std_logic;
		j2_10 : inout std_logic;
		j2_11 : inout std_logic;
		j2_12 : inout std_logic;
		j2_13 : inout std_logic;
		j2_14 : inout std_logic;
		j2_15 : inout std_logic;
		j2_16 : inout std_logic;
		j2_17 : inout std_logic;
		j2_18 : inout std_logic;
		j2_19 : inout std_logic;
		j2_20 : inout std_logic;

		j1_1 : inout std_logic;
		j1_2 : inout std_logic;
		j1_3 : inout std_logic;
		j1_4 : inout std_logic;
		j1_5 : inout std_logic;
		j1_6 : inout std_logic;
		j1_7 : inout std_logic;
		j1_8 : inout std_logic;
		j1_9 : inout std_logic;
		j1_10 : inout std_logic;
		j1_11 : inout std_logic;
		j1_12 : inout std_logic;
		j1_13 : inout std_logic;
		j1_14 : inout std_logic;
		j1_15 : inout std_logic;
		j1_16 : inout std_logic;

		j3_1 : inout std_logic;
		j3_2 : inout std_logic;
		j3_3 : inout std_logic;
		j3_4 : inout std_logic;
		j3_5 : inout std_logic;
		j3_6 : inout std_logic;
		j3_7 : inout std_logic;
		j3_8 : inout std_logic;
		j3_9 : inout std_logic;
		j3_10 : inout std_logic;
		j3_11 : inout std_logic;
		j3_12 : inout std_logic;
		j3_13 : inout std_logic;
		j3_14 : inout std_logic;
		j3_15 : inout std_logic;
		j3_16 : inout std_logic;

		j4_1 : inout std_logic;
		j4_2 : inout std_logic;
		j4_3 : inout std_logic;
		j4_4 : inout std_logic;
		j4_5 : inout std_logic;
		j4_6 : inout std_logic;
		j4_7 : inout std_logic;
		j4_8 : inout std_logic;
		j4_9 : inout std_logic;
		j4_10 : inout std_logic;
		j4_11 : inout std_logic;
		j4_12 : inout std_logic;

		ledr : out opt_rgb;
		ledg : out opt_rgb
	);
end frdm_kl46z;

architecture structural of frdm_kl46z is
begin
	board : mb_frdm_kl46z
		port map(
			gnd => gnd,
			vdd => vdd,

			j2_1 => j2_1,
			j2_2 => j2_2,
			j2_3 => j2_3,
			j2_4 => j2_4,
			j2_5 => j2_5,
			j2_6 => j2_6,
			j2_7 => j2_7,
			j2_8 => j2_8,
			j2_9 => j2_9,
			j2_10 => j2_10,
			j2_11 => j2_11,
			j2_12 => j2_12,
			j2_13 => j2_13,
			j2_14 => j2_14,
			j2_15 => j2_15,
			j2_16 => j2_16,
			j2_17 => j2_17,
			j2_18 => j2_18,
			j2_19 => j2_19,
			j2_20 => j2_20,

			j1_1 => j1_1,
			j1_2 => j1_2,
			j1_3 => j1_3,
			j1_4 => j1_4,
			j1_5 => j1_5,
			j1_6 => j1_6,
			j1_7 => j1_7,
			j1_8 => j1_8,
			j1_9 => j1_9,
			j1_10 => j1_10,
			j1_11 => j1_11,
			j1_12 => j1_12,
			j1_13 => j1_13,
			j1_14 => j1_14,
			j1_15 => j1_15,
			j1_16 => j1_16,

			j3_1 => j3_1,
			j3_2 => j3_2,
			j3_3 => j3_3,
			j3_4 => j3_4,
			j3_5 => j3_5,
			j3_6 => j3_6,
			j3_7 => j3_7,
			j3_8 => j3_8,
			j3_9 => j3_9,
			j3_10 => j3_10,
			j3_11 => j3_11,
			j3_12 => j3_12,
			j3_13 => j3_13,
			j3_14 => j3_14,
			j3_15 => j3_15,
			j3_16 => j3_16,

			j4_1 => j4_1,
			j4_2 => j4_2,
			j4_3 => j4_3,
			j4_4 => j4_4,
			j4_5 => j4_5,
			j4_6 => j4_6,
			j4_7 => j4_7,
			j4_8 => j4_8,
			j4_9 => j4_9,
			j4_10 => j4_10,
			j4_11 => j4_11,
			j4_12 => j4_12,

			ledr => ledr,
			ledg => ledg
		);
end structural;
