--
-- $Id: zuse23.vhdl,v 1.16 2012-12-13 13:01:13 vrsieh Exp $
--
-- Copyright (C) 2012 FAUmachine Team <info@faumachine.org>.
--
-- This program is free software. You can redistribute it and/or modify it
-- under the terms of the GNU General Public License, either version 2 of
-- the License, or (at your option) any later version. See COPYING.
--

library expect;
use expect.types.ALL;
use expect.procedures.ALL;
library ieee;
use ieee.std_logic_1164.ALL;

entity zuse23_system is
	port (
		ls_change : in cstring;
		ls_media : inout magneto_optical
	);
end zuse23_system;

architecture structural of zuse23_system is
	signal matrix_sperr_switch0 : boolean;
	signal matrix_sperr_switch1 : boolean;
	signal matrix_sperr_switch2 : boolean;
	signal matrix_sperr_switch3 : boolean;
	signal matrix_sperr_switch4 : boolean;
	signal matrix_sperr_switch5 : boolean;
	signal matrix_sperr_switch6 : boolean;
	signal matrix_sperr_switch7 : boolean;
	signal matrix_sperr_switch8 : boolean;
	signal matrix_sperr_switch9 : boolean;
	signal matrix_sperr_switch10 : boolean;
	signal matrix_sperr_switch11 : boolean;
	signal matrix_sperr_switch12 : boolean;
	signal matrix_sperr_switch13 : boolean;
	signal matrix_sperr_switch14 : boolean;
	signal matrix_sperr_switch15 : boolean;
	signal misc_lamp0 : boolean;
	signal misc_lamp1 : boolean;
	signal misc_lamp2 : boolean;
	signal misc_lamp3 : boolean;
	signal misc_lamp4 : boolean;
	signal misc_lamp5 : boolean;
	signal misc_lamp6 : boolean;
	signal misc_lamp7 : boolean;
	signal misc_lamp8 : boolean;
	signal misc_lamp9 : boolean;
	signal bef_lamp38 : boolean;
	signal bef_lamp39 : boolean;
	signal bef_lamp37 : boolean;
	signal bef_lamp36 : boolean;
	signal bef_lamp35 : boolean;
	signal bef_lamp34 : boolean;
	signal bef_lamp33 : boolean;
	signal bef_lamp32 : boolean;
	signal bef_lamp31 : boolean;
	signal bef_lamp30 : boolean;
	signal bef_lamp29 : boolean;
	signal bef_lamp28 : boolean;
	signal bef_lamp27 : boolean;
	signal bef_lamp26 : boolean;
	signal bef_lamp25 : boolean;
	signal bef_lamp24 : boolean;
	signal bef_lamp23 : boolean;
	signal bef_lamp22 : boolean;
	signal bef_lamp21 : boolean;
	signal bef_lamp20 : boolean;
	signal bef_lamp19 : boolean;
	signal bef_lamp18 : boolean;
	signal bef_lamp17 : boolean;
	signal bef_lamp16 : boolean;
	signal bef_lamp15 : boolean;
	signal bef_lamp14 : boolean;
	signal bef_lamp13 : boolean;
	signal bef_lamp12 : boolean;
	signal bef_lamp11 : boolean;
	signal bef_lamp10 : boolean;
	signal bef_lamp9 : boolean;
	signal bef_lamp8 : boolean;
	signal bef_lamp7 : boolean;
	signal bef_lamp6 : boolean;
	signal bef_lamp5 : boolean;
	signal bef_lamp4 : boolean;
	signal bef_lamp3 : boolean;
	signal bef_lamp2 : boolean;
	signal bef_lamp1 : boolean;
	signal bef_lamp0 : boolean;
	signal akku_lamp38 : boolean;
	signal akku_lamp39 : boolean;
	signal akku_lamp37 : boolean;
	signal akku_lamp36 : boolean;
	signal akku_lamp35 : boolean;
	signal akku_lamp34 : boolean;
	signal akku_lamp33 : boolean;
	signal akku_lamp32 : boolean;
	signal akku_lamp31 : boolean;
	signal akku_lamp30 : boolean;
	signal akku_lamp29 : boolean;
	signal akku_lamp28 : boolean;
	signal akku_lamp27 : boolean;
	signal akku_lamp26 : boolean;
	signal akku_lamp25 : boolean;
	signal akku_lamp24 : boolean;
	signal akku_lamp23 : boolean;
	signal akku_lamp22 : boolean;
	signal akku_lamp21 : boolean;
	signal akku_lamp20 : boolean;
	signal akku_lamp19 : boolean;
	signal akku_lamp18 : boolean;
	signal akku_lamp17 : boolean;
	signal akku_lamp16 : boolean;
	signal akku_lamp15 : boolean;
	signal akku_lamp14 : boolean;
	signal akku_lamp13 : boolean;
	signal akku_lamp12 : boolean;
	signal akku_lamp11 : boolean;
	signal akku_lamp10 : boolean;
	signal akku_lamp9 : boolean;
	signal akku_lamp8 : boolean;
	signal akku_lamp7 : boolean;
	signal akku_lamp6 : boolean;
	signal akku_lamp5 : boolean;
	signal akku_lamp4 : boolean;
	signal akku_lamp3 : boolean;
	signal akku_lamp2 : boolean;
	signal akku_lamp1 : boolean;
	signal akku_lamp0 : boolean;
	signal misc_switch0 : boolean;
	signal misc_switch1 : boolean;
	signal misc_switch2 : boolean;
	signal misc_switch3 : boolean;
	signal misc_switch4 : boolean;
	signal misc_switch5 : boolean;
	signal misc_switch6 : boolean;
	signal misc_switch7 : boolean;
	signal misc_switch8 : boolean;
	signal misc_switch9 : boolean;
	signal sperr_switch7 : boolean;
	signal sperr_switch6 : boolean;
	signal sperr_switch5 : boolean;
	signal sperr_switch4 : boolean;
	signal sperr_switch3 : boolean;
	signal sperr_switch2 : boolean;
	signal sperr_switch1 : boolean;
	signal loe_aus_switch : boolean;
	signal misc_switch18 : boolean;
	signal adr_p1_aus_switch : boolean;
	signal bed_switch4 : boolean;
	signal bed_switch3 : boolean;
	signal bed_switch2 : boolean;
	signal bed_switch1 : boolean;
	signal bed_switch0 : boolean;
	signal bed_ein_switch : boolean;
	signal adr_stop_ein_switch : boolean;
	signal adr_stop_switch12 : boolean;
	signal adr_stop_switch11 : boolean;
	signal adr_stop_switch10 : boolean;
	signal adr_stop_switch9 : boolean;
	signal adr_stop_switch8 : boolean;
	signal adr_stop_switch7 : boolean;
	signal adr_stop_switch6 : boolean;
	signal adr_stop_switch5 : boolean;
	signal adr_stop_switch4 : boolean;
	signal adr_stop_switch3 : boolean;
	signal adr_stop_switch2 : boolean;
	signal adr_stop_switch1 : boolean;
	signal adr_stop_switch0 : boolean;
	signal bef_switch39 : boolean;
	signal bef_switch38 : boolean;
	signal bef_switch37 : boolean;
	signal bef_switch36 : boolean;
	signal bef_switch35 : boolean;
	signal bef_switch34 : boolean;
	signal bef_switch33 : boolean;
	signal bef_switch32 : boolean;
	signal bef_switch31 : boolean;
	signal bef_switch30 : boolean;
	signal bef_switch29 : boolean;
	signal bef_switch28 : boolean;
	signal bef_switch27 : boolean;
	signal bef_switch26 : boolean;
	signal bef_switch25 : boolean;
	signal bef_switch24 : boolean;
	signal bef_switch23 : boolean;
	signal bef_switch22 : boolean;
	signal bef_switch21 : boolean;
	signal bef_switch20 : boolean;
	signal bef_switch19 : boolean;
	signal bef_switch18 : boolean;
	signal bef_switch17 : boolean;
	signal bef_switch16 : boolean;
	signal bef_switch15 : boolean;
	signal bef_switch14 : boolean;
	signal bef_switch13 : boolean;
	signal bef_switch12 : boolean;
	signal bef_switch11 : boolean;
	signal bef_switch10 : boolean;
	signal bef_switch9 : boolean;
	signal bef_switch8 : boolean;
	signal bef_switch7 : boolean;
	signal bef_switch6 : boolean;
	signal bef_switch5 : boolean;
	signal bef_switch4 : boolean;
	signal bef_switch3 : boolean;
	signal bef_switch2 : boolean;
	signal bef_switch1 : boolean;
	signal bef_switch0 : boolean;
	signal akku_switch39 : boolean;
	signal akku_switch38 : boolean;
	signal akku_switch37 : boolean;
	signal akku_switch36 : boolean;
	signal akku_switch35 : boolean;
	signal akku_switch34 : boolean;
	signal akku_switch33 : boolean;
	signal akku_switch32 : boolean;
	signal akku_switch31 : boolean;
	signal akku_switch30 : boolean;
	signal akku_switch29 : boolean;
	signal akku_switch28 : boolean;
	signal akku_switch27 : boolean;
	signal akku_switch26 : boolean;
	signal akku_switch25 : boolean;
	signal akku_switch24 : boolean;
	signal akku_switch23 : boolean;
	signal akku_switch22 : boolean;
	signal akku_switch21 : boolean;
	signal akku_switch20 : boolean;
	signal akku_switch19 : boolean;
	signal akku_switch18 : boolean;
	signal akku_switch17 : boolean;
	signal akku_switch16 : boolean;
	signal akku_switch15 : boolean;
	signal akku_switch14 : boolean;
	signal akku_switch13 : boolean;
	signal akku_switch12 : boolean;
	signal akku_switch11 : boolean;
	signal akku_switch10 : boolean;
	signal akku_switch9 : boolean;
	signal akku_switch8 : boolean;
	signal akku_switch7 : boolean;
	signal akku_switch6 : boolean;
	signal akku_switch5 : boolean;
	signal akku_switch4 : boolean;
	signal akku_switch3 : boolean;
	signal akku_switch2 : boolean;
	signal akku_switch1 : boolean;
	signal akku_switch0 : boolean;
	signal stop : boolean;
	signal weiter : boolean;
	signal start : boolean;
	signal akku_ueb : boolean;
	signal bef_ueb : boolean;

	signal ferranti1_power : boolean;
	signal ferranti1_start : boolean;
	signal ferranti1_bit0 : boolean;
	signal ferranti1_bit1 : boolean;
	signal ferranti1_bit2 : boolean;
	signal ferranti1_bit3 : boolean;
	signal ferranti1_bit4 : boolean;
	signal ferranti1_ready : boolean;
	signal ferranti2_power : boolean;
	signal ferranti2_start : boolean;
	signal ferranti2_bit0 : boolean;
	signal ferranti2_bit1 : boolean;
	signal ferranti2_bit2 : boolean;
	signal ferranti2_bit3 : boolean;
	signal ferranti2_bit4 : boolean;
	signal ferranti2_ready : boolean;

	signal fernschreiber : serial;

	signal ferranti1_media : magneto_optical;
	signal ferranti1_change : cstring;
begin
	Maschine: zuse23
		port map (
			misc_lamp0 => misc_lamp0,
			misc_lamp1 => misc_lamp1,
			misc_lamp2 => misc_lamp2,
			misc_lamp3 => misc_lamp3,
			misc_lamp4 => misc_lamp4,
			misc_lamp5 => misc_lamp5,
			misc_lamp6 => misc_lamp6,
			misc_lamp7 => misc_lamp7,
			misc_lamp8 => misc_lamp8,
			misc_lamp9 => misc_lamp9,
			bef_lamp39 => bef_lamp39,
			bef_lamp38 => bef_lamp38,
			bef_lamp37 => bef_lamp37,
			bef_lamp36 => bef_lamp36,
			bef_lamp35 => bef_lamp35,
			bef_lamp34 => bef_lamp34,
			bef_lamp33 => bef_lamp33,
			bef_lamp32 => bef_lamp32,
			bef_lamp31 => bef_lamp31,
			bef_lamp30 => bef_lamp30,
			bef_lamp29 => bef_lamp29,
			bef_lamp28 => bef_lamp28,
			bef_lamp27 => bef_lamp27,
			bef_lamp26 => bef_lamp26,
			bef_lamp25 => bef_lamp25,
			bef_lamp24 => bef_lamp24,
			bef_lamp23 => bef_lamp23,
			bef_lamp22 => bef_lamp22,
			bef_lamp21 => bef_lamp21,
			bef_lamp20 => bef_lamp20,
			bef_lamp19 => bef_lamp19,
			bef_lamp18 => bef_lamp18,
			bef_lamp17 => bef_lamp17,
			bef_lamp16 => bef_lamp16,
			bef_lamp15 => bef_lamp15,
			bef_lamp14 => bef_lamp14,
			bef_lamp13 => bef_lamp13,
			bef_lamp12 => bef_lamp12,
			bef_lamp11 => bef_lamp11,
			bef_lamp10 => bef_lamp10,
			bef_lamp9 => bef_lamp9,
			bef_lamp8 => bef_lamp8,
			bef_lamp7 => bef_lamp7,
			bef_lamp6 => bef_lamp6,
			bef_lamp5 => bef_lamp5,
			bef_lamp4 => bef_lamp4,
			bef_lamp3 => bef_lamp3,
			bef_lamp2 => bef_lamp2,
			bef_lamp1 => bef_lamp1,
			bef_lamp0 => bef_lamp0,
			akku_lamp39 => akku_lamp39,
			akku_lamp38 => akku_lamp38,
			akku_lamp37 => akku_lamp37,
			akku_lamp36 => akku_lamp36,
			akku_lamp35 => akku_lamp35,
			akku_lamp34 => akku_lamp34,
			akku_lamp33 => akku_lamp33,
			akku_lamp32 => akku_lamp32,
			akku_lamp31 => akku_lamp31,
			akku_lamp30 => akku_lamp30,
			akku_lamp29 => akku_lamp29,
			akku_lamp28 => akku_lamp28,
			akku_lamp27 => akku_lamp27,
			akku_lamp26 => akku_lamp26,
			akku_lamp25 => akku_lamp25,
			akku_lamp24 => akku_lamp24,
			akku_lamp23 => akku_lamp23,
			akku_lamp22 => akku_lamp22,
			akku_lamp21 => akku_lamp21,
			akku_lamp20 => akku_lamp20,
			akku_lamp19 => akku_lamp19,
			akku_lamp18 => akku_lamp18,
			akku_lamp17 => akku_lamp17,
			akku_lamp16 => akku_lamp16,
			akku_lamp15 => akku_lamp15,
			akku_lamp14 => akku_lamp14,
			akku_lamp13 => akku_lamp13,
			akku_lamp12 => akku_lamp12,
			akku_lamp11 => akku_lamp11,
			akku_lamp10 => akku_lamp10,
			akku_lamp9 => akku_lamp9,
			akku_lamp8 => akku_lamp8,
			akku_lamp7 => akku_lamp7,
			akku_lamp6 => akku_lamp6,
			akku_lamp5 => akku_lamp5,
			akku_lamp4 => akku_lamp4,
			akku_lamp3 => akku_lamp3,
			akku_lamp2 => akku_lamp2,
			akku_lamp1 => akku_lamp1,
			akku_lamp0 => akku_lamp0,
			misc_switch0 => misc_switch0,
			misc_switch1 => misc_switch1,
			misc_switch2 => misc_switch2,
			misc_switch3 => misc_switch3,
			misc_switch4 => misc_switch4,
			misc_switch5 => misc_switch5,
			misc_switch6 => misc_switch6,
			misc_switch7 => misc_switch7,
			misc_switch8 => misc_switch8,
			misc_switch9 => misc_switch9,
			sperr_switch7 => sperr_switch7,
			sperr_switch6 => sperr_switch6,
			sperr_switch5 => sperr_switch5,
			sperr_switch4 => sperr_switch4,
			sperr_switch3 => sperr_switch3,
			sperr_switch2 => sperr_switch2,
			sperr_switch1 => sperr_switch1,
			loe_aus_switch => loe_aus_switch,
			misc_switch18 => misc_switch18,
			adr_p1_aus_switch => adr_p1_aus_switch,
			bed_switch4 => bed_switch4,
			bed_switch3 => bed_switch3,
			bed_switch2 => bed_switch2,
			bed_switch1 => bed_switch1,
			bed_switch0 => bed_switch0,
			bed_ein_switch => bed_ein_switch,
			adr_stop_ein_switch => adr_stop_ein_switch,
			adr_stop_switch12 => adr_stop_switch12,
			adr_stop_switch11 => adr_stop_switch11,
			adr_stop_switch10 => adr_stop_switch10,
			adr_stop_switch9 => adr_stop_switch9,
			adr_stop_switch8 => adr_stop_switch8,
			adr_stop_switch7 => adr_stop_switch7,
			adr_stop_switch6 => adr_stop_switch6,
			adr_stop_switch5 => adr_stop_switch5,
			adr_stop_switch4 => adr_stop_switch4,
			adr_stop_switch3 => adr_stop_switch3,
			adr_stop_switch2 => adr_stop_switch2,
			adr_stop_switch1 => adr_stop_switch1,
			adr_stop_switch0 => adr_stop_switch0,
			bef_switch39 => bef_switch39,
			bef_switch38 => bef_switch38,
			bef_switch37 => bef_switch37,
			bef_switch36 => bef_switch36,
			bef_switch35 => bef_switch35,
			bef_switch34 => bef_switch34,
			bef_switch33 => bef_switch33,
			bef_switch32 => bef_switch32,
			bef_switch31 => bef_switch31,
			bef_switch30 => bef_switch30,
			bef_switch29 => bef_switch29,
			bef_switch28 => bef_switch28,
			bef_switch27 => bef_switch27,
			bef_switch26 => bef_switch26,
			bef_switch25 => bef_switch25,
			bef_switch24 => bef_switch24,
			bef_switch23 => bef_switch23,
			bef_switch22 => bef_switch22,
			bef_switch21 => bef_switch21,
			bef_switch20 => bef_switch20,
			bef_switch19 => bef_switch19,
			bef_switch18 => bef_switch18,
			bef_switch17 => bef_switch17,
			bef_switch16 => bef_switch16,
			bef_switch15 => bef_switch15,
			bef_switch14 => bef_switch14,
			bef_switch13 => bef_switch13,
			bef_switch12 => bef_switch12,
			bef_switch11 => bef_switch11,
			bef_switch10 => bef_switch10,
			bef_switch9 => bef_switch9,
			bef_switch8 => bef_switch8,
			bef_switch7 => bef_switch7,
			bef_switch6 => bef_switch6,
			bef_switch5 => bef_switch5,
			bef_switch4 => bef_switch4,
			bef_switch3 => bef_switch3,
			bef_switch2 => bef_switch2,
			bef_switch1 => bef_switch1,
			bef_switch0 => bef_switch0,
			akku_switch39 => akku_switch39,
			akku_switch38 => akku_switch38,
			akku_switch37 => akku_switch37,
			akku_switch36 => akku_switch36,
			akku_switch35 => akku_switch35,
			akku_switch34 => akku_switch34,
			akku_switch33 => akku_switch33,
			akku_switch32 => akku_switch32,
			akku_switch31 => akku_switch31,
			akku_switch30 => akku_switch30,
			akku_switch29 => akku_switch29,
			akku_switch28 => akku_switch28,
			akku_switch27 => akku_switch27,
			akku_switch26 => akku_switch26,
			akku_switch25 => akku_switch25,
			akku_switch24 => akku_switch24,
			akku_switch23 => akku_switch23,
			akku_switch22 => akku_switch22,
			akku_switch21 => akku_switch21,
			akku_switch20 => akku_switch20,
			akku_switch19 => akku_switch19,
			akku_switch18 => akku_switch18,
			akku_switch17 => akku_switch17,
			akku_switch16 => akku_switch16,
			akku_switch15 => akku_switch15,
			akku_switch14 => akku_switch14,
			akku_switch13 => akku_switch13,
			akku_switch12 => akku_switch12,
			akku_switch11 => akku_switch11,
			akku_switch10 => akku_switch10,
			akku_switch9 => akku_switch9,
			akku_switch8 => akku_switch8,
			akku_switch7 => akku_switch7,
			akku_switch6 => akku_switch6,
			akku_switch5 => akku_switch5,
			akku_switch4 => akku_switch4,
			akku_switch3 => akku_switch3,
			akku_switch2 => akku_switch2,
			akku_switch1 => akku_switch1,
			akku_switch0 => akku_switch0,
			stop => stop,
			weiter => weiter,
			start => start,
			akku_ueb => akku_ueb,
			bef_ueb => bef_ueb,
			ferranti1_power => ferranti1_power,
			ferranti1_start => ferranti1_start,
			ferranti1_bit0 => ferranti1_bit0,
			ferranti1_bit1 => ferranti1_bit1,
			ferranti1_bit2 => ferranti1_bit2,
			ferranti1_bit3 => ferranti1_bit3,
			ferranti1_bit4 => ferranti1_bit4,
			ferranti1_ready => ferranti1_ready,
			ferranti2_power => ferranti2_power,
			ferranti2_start => ferranti2_start,
			ferranti2_bit0 => ferranti2_bit0,
			ferranti2_bit1 => ferranti2_bit1,
			ferranti2_bit2 => ferranti2_bit2,
			ferranti2_bit3 => ferranti2_bit3,
			ferranti2_bit4 => ferranti2_bit4,
			ferranti2_ready => ferranti2_ready,
			fernschreiber => fernschreiber
		);
	Matrix : zuse23_matrix
		port map (
			sperr0 => matrix_sperr_switch0,
			sperr1 => matrix_sperr_switch1,
			sperr2 => matrix_sperr_switch2,
			sperr3 => matrix_sperr_switch3,
			sperr4 => matrix_sperr_switch4,
			sperr5 => matrix_sperr_switch5,
			sperr6 => matrix_sperr_switch6,
			sperr7 => matrix_sperr_switch7,
			sperr8 => matrix_sperr_switch8,
			sperr9 => matrix_sperr_switch9,
			sperr10 => matrix_sperr_switch10,
			sperr11 => matrix_sperr_switch11,
			sperr12 => matrix_sperr_switch12,
			sperr13 => matrix_sperr_switch13,
			sperr14 => matrix_sperr_switch14,
			sperr15 => matrix_sperr_switch15
		);
	Konsole : zuse23_console
		port map (
			misc_lamp0 => misc_lamp0,
			misc_lamp1 => misc_lamp1,
			misc_lamp2 => misc_lamp2,
			misc_lamp3 => misc_lamp3,
			misc_lamp4 => misc_lamp4,
			misc_lamp5 => misc_lamp5,
			misc_lamp6 => misc_lamp6,
			misc_lamp7 => misc_lamp7,
			misc_lamp8 => misc_lamp8,
			misc_lamp9 => misc_lamp9,
			bef_lamp39 => bef_lamp39,
			bef_lamp38 => bef_lamp38,
			bef_lamp37 => bef_lamp37,
			bef_lamp36 => bef_lamp36,
			bef_lamp35 => bef_lamp35,
			bef_lamp34 => bef_lamp34,
			bef_lamp33 => bef_lamp33,
			bef_lamp32 => bef_lamp32,
			bef_lamp31 => bef_lamp31,
			bef_lamp30 => bef_lamp30,
			bef_lamp29 => bef_lamp29,
			bef_lamp28 => bef_lamp28,
			bef_lamp27 => bef_lamp27,
			bef_lamp26 => bef_lamp26,
			bef_lamp25 => bef_lamp25,
			bef_lamp24 => bef_lamp24,
			bef_lamp23 => bef_lamp23,
			bef_lamp22 => bef_lamp22,
			bef_lamp21 => bef_lamp21,
			bef_lamp20 => bef_lamp20,
			bef_lamp19 => bef_lamp19,
			bef_lamp18 => bef_lamp18,
			bef_lamp17 => bef_lamp17,
			bef_lamp16 => bef_lamp16,
			bef_lamp15 => bef_lamp15,
			bef_lamp14 => bef_lamp14,
			bef_lamp13 => bef_lamp13,
			bef_lamp12 => bef_lamp12,
			bef_lamp11 => bef_lamp11,
			bef_lamp10 => bef_lamp10,
			bef_lamp9 => bef_lamp9,
			bef_lamp8 => bef_lamp8,
			bef_lamp7 => bef_lamp7,
			bef_lamp6 => bef_lamp6,
			bef_lamp5 => bef_lamp5,
			bef_lamp4 => bef_lamp4,
			bef_lamp3 => bef_lamp3,
			bef_lamp2 => bef_lamp2,
			bef_lamp1 => bef_lamp1,
			bef_lamp0 => bef_lamp0,
			akku_lamp39 => akku_lamp39,
			akku_lamp38 => akku_lamp38,
			akku_lamp37 => akku_lamp37,
			akku_lamp36 => akku_lamp36,
			akku_lamp35 => akku_lamp35,
			akku_lamp34 => akku_lamp34,
			akku_lamp33 => akku_lamp33,
			akku_lamp32 => akku_lamp32,
			akku_lamp31 => akku_lamp31,
			akku_lamp30 => akku_lamp30,
			akku_lamp29 => akku_lamp29,
			akku_lamp28 => akku_lamp28,
			akku_lamp27 => akku_lamp27,
			akku_lamp26 => akku_lamp26,
			akku_lamp25 => akku_lamp25,
			akku_lamp24 => akku_lamp24,
			akku_lamp23 => akku_lamp23,
			akku_lamp22 => akku_lamp22,
			akku_lamp21 => akku_lamp21,
			akku_lamp20 => akku_lamp20,
			akku_lamp19 => akku_lamp19,
			akku_lamp18 => akku_lamp18,
			akku_lamp17 => akku_lamp17,
			akku_lamp16 => akku_lamp16,
			akku_lamp15 => akku_lamp15,
			akku_lamp14 => akku_lamp14,
			akku_lamp13 => akku_lamp13,
			akku_lamp12 => akku_lamp12,
			akku_lamp11 => akku_lamp11,
			akku_lamp10 => akku_lamp10,
			akku_lamp9 => akku_lamp9,
			akku_lamp8 => akku_lamp8,
			akku_lamp7 => akku_lamp7,
			akku_lamp6 => akku_lamp6,
			akku_lamp5 => akku_lamp5,
			akku_lamp4 => akku_lamp4,
			akku_lamp3 => akku_lamp3,
			akku_lamp2 => akku_lamp2,
			akku_lamp1 => akku_lamp1,
			akku_lamp0 => akku_lamp0,
			misc_switch0 => misc_switch0,
			misc_switch1 => misc_switch1,
			misc_switch2 => misc_switch2,
			misc_switch3 => misc_switch3,
			misc_switch4 => misc_switch4,
			misc_switch5 => misc_switch5,
			misc_switch6 => misc_switch6,
			misc_switch7 => misc_switch7,
			misc_switch8 => misc_switch8,
			misc_switch9 => misc_switch9,
			sperr_switch7 => sperr_switch7,
			sperr_switch6 => sperr_switch6,
			sperr_switch5 => sperr_switch5,
			sperr_switch4 => sperr_switch4,
			sperr_switch3 => sperr_switch3,
			sperr_switch2 => sperr_switch2,
			sperr_switch1 => sperr_switch1,
			loe_aus_switch => loe_aus_switch,
			misc_switch18 => misc_switch18,
			adr_p1_aus_switch => adr_p1_aus_switch,
			bed_switch4 => bed_switch4,
			bed_switch3 => bed_switch3,
			bed_switch2 => bed_switch2,
			bed_switch1 => bed_switch1,
			bed_switch0 => bed_switch0,
			bed_ein_switch => bed_ein_switch,
			adr_stop_ein_switch => adr_stop_ein_switch,
			adr_stop_switch12 => adr_stop_switch12,
			adr_stop_switch11 => adr_stop_switch11,
			adr_stop_switch10 => adr_stop_switch10,
			adr_stop_switch9 => adr_stop_switch9,
			adr_stop_switch8 => adr_stop_switch8,
			adr_stop_switch7 => adr_stop_switch7,
			adr_stop_switch6 => adr_stop_switch6,
			adr_stop_switch5 => adr_stop_switch5,
			adr_stop_switch4 => adr_stop_switch4,
			adr_stop_switch3 => adr_stop_switch3,
			adr_stop_switch2 => adr_stop_switch2,
			adr_stop_switch1 => adr_stop_switch1,
			adr_stop_switch0 => adr_stop_switch0,
			bef_switch39 => bef_switch39,
			bef_switch38 => bef_switch38,
			bef_switch37 => bef_switch37,
			bef_switch36 => bef_switch36,
			bef_switch35 => bef_switch35,
			bef_switch34 => bef_switch34,
			bef_switch33 => bef_switch33,
			bef_switch32 => bef_switch32,
			bef_switch31 => bef_switch31,
			bef_switch30 => bef_switch30,
			bef_switch29 => bef_switch29,
			bef_switch28 => bef_switch28,
			bef_switch27 => bef_switch27,
			bef_switch26 => bef_switch26,
			bef_switch25 => bef_switch25,
			bef_switch24 => bef_switch24,
			bef_switch23 => bef_switch23,
			bef_switch22 => bef_switch22,
			bef_switch21 => bef_switch21,
			bef_switch20 => bef_switch20,
			bef_switch19 => bef_switch19,
			bef_switch18 => bef_switch18,
			bef_switch17 => bef_switch17,
			bef_switch16 => bef_switch16,
			bef_switch15 => bef_switch15,
			bef_switch14 => bef_switch14,
			bef_switch13 => bef_switch13,
			bef_switch12 => bef_switch12,
			bef_switch11 => bef_switch11,
			bef_switch10 => bef_switch10,
			bef_switch9 => bef_switch9,
			bef_switch8 => bef_switch8,
			bef_switch7 => bef_switch7,
			bef_switch6 => bef_switch6,
			bef_switch5 => bef_switch5,
			bef_switch4 => bef_switch4,
			bef_switch3 => bef_switch3,
			bef_switch2 => bef_switch2,
			bef_switch1 => bef_switch1,
			bef_switch0 => bef_switch0,
			akku_switch39 => akku_switch39,
			akku_switch38 => akku_switch38,
			akku_switch37 => akku_switch37,
			akku_switch36 => akku_switch36,
			akku_switch35 => akku_switch35,
			akku_switch34 => akku_switch34,
			akku_switch33 => akku_switch33,
			akku_switch32 => akku_switch32,
			akku_switch31 => akku_switch31,
			akku_switch30 => akku_switch30,
			akku_switch29 => akku_switch29,
			akku_switch28 => akku_switch28,
			akku_switch27 => akku_switch27,
			akku_switch26 => akku_switch26,
			akku_switch25 => akku_switch25,
			akku_switch24 => akku_switch24,
			akku_switch23 => akku_switch23,
			akku_switch22 => akku_switch22,
			akku_switch21 => akku_switch21,
			akku_switch20 => akku_switch20,
			akku_switch19 => akku_switch19,
			akku_switch18 => akku_switch18,
			akku_switch17 => akku_switch17,
			akku_switch16 => akku_switch16,
			akku_switch15 => akku_switch15,
			akku_switch14 => akku_switch14,
			akku_switch13 => akku_switch13,
			akku_switch12 => akku_switch12,
			akku_switch11 => akku_switch11,
			akku_switch10 => akku_switch10,
			akku_switch9 => akku_switch9,
			akku_switch8 => akku_switch8,
			akku_switch7 => akku_switch7,
			akku_switch6 => akku_switch6,
			akku_switch5 => akku_switch5,
			akku_switch4 => akku_switch4,
			akku_switch3 => akku_switch3,
			akku_switch2 => akku_switch2,
			akku_switch1 => akku_switch1,
			akku_switch0 => akku_switch0,
			stop => stop,
			weiter => weiter,
			start => start,
			akku_ueb => akku_ueb,
			bef_ueb => bef_ueb
		);
	Abtaster : ferranti_abtaster
		port map (
			power => ferranti1_power,
			start => ferranti1_start,
			bit0 => ferranti1_bit0,
			bit1 => ferranti1_bit1,
			bit2 => ferranti1_bit2,
			bit3 => ferranti1_bit3,
			bit4 => ferranti1_bit4,
			ready => ferranti1_ready,
			media => ferranti1_media,
			change => ferranti1_change
		);
	Fernschreiber : siemens_fernschreiber
		port map (
			recv => fernschreiber
		);
end structural;
